Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class AbstractConfigurationAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.configuration.AbstractLicenseAction
                      com.atlassian.bamboo.configuration.AbstractConfigurationAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

Direct Known Subclasses:
  ConfigurationAction, WelcomeWizard1

    public abstract class AbstractConfigurationAction

extends AbstractLicenseAction

This provides common System configuration behaviour - used in both the welcome wizard and the System Properties page.

Field Summary
`static String` | `SETUP_MARKER`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`protected` | `AbstractConfigurationAction()`

Method Summary
`protected void` | `customPostProcess(AdministrationConfiguration administrationConfiguration)`
`String` | `doExecute()` Update the system with the adimistration configuration.
`boolean` | `getAcceptRemoteApiCalls()` Informs the UI if the Remote API option is enabled.
`String` | `getBaseUrl()` Supply the form with the base url so the form does not loose it
`String` | `getBuildDirectory()`
`BuilderManager` | `getBuilderManager()`
`String` | `getDefaultBaseUrl()` See if we can determine the default base url from the servlet request...
`String` | `getEmailSubjectPrefix()` What email subject prefix should Bamboo use?
`FileBasedPersisterOptions` | `getFilePersister()` Provide the GUI with the file persister
`String` | `getFromEmailAddress()` Which email address should Bamboo use to send emails from.
`boolean` | `getGzipCompression()` Informs the UI if the Gzip option is enabled.
`String` | `getRepositoryPollingPeriod()`
`String` | `getSmtpServer()` Supply the form with the base url so the form does not loose it
`void` | `setAcceptRemoteApiCalls(boolean enabled)` The user has enabled the remote API (via a checkbox)
`void` | `setBaseUrl(String url)` Accept the base url of the system from the html form.
`void` | `setBuildDirectory(String buildDirectory)`
`void` | `setBuilderManager(BuilderManager builderManager)`
`void` | `setEmailSubjectPrefix(String emailSubjectPrefix)` Accept the email subject prefix from the html form.
`void` | `setFromEmailAddress(String fromEmailAddress)` Accept the email originating address from the html form.
`void` | `setGzipCompression(boolean enabled)` The user has selected the GZip webpages (via a checkbox)
`void` | `setRepositoryPollingPeriod(String repositoryPollingPeriod)`
`void` | `setSmtpServer(String smtpServerUrl)` Accept the SMTP server url of the system from the html form.
`void` | `validate()` Place the user in the page context

Methods inherited from class com.atlassian.bamboo.configuration.AbstractLicenseAction
`getLicense, setLicense`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, execute, getAction, getAdministrationConfiguration, getBamboo, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### SETUP_MARKER

    public static final String SETUP_MARKER

See Also:
  Constant Field Values

Constructor Detail

### AbstractConfigurationAction

    protected AbstractConfigurationAction()

Method Detail

### validate

    public void validate()

  Description copied from class: `AbstractAction`
  Place the user in the page context

  Overrides:
    `validate` in class `AbstractAction`

### getBaseUrl

    public String getBaseUrl()

  Supply the form with the base url so the form does not loose it

  Overrides:
    `getBaseUrl` in class `AbstractAction`
  Returns:
    The base url

### setBaseUrl

    public void setBaseUrl(String url)

  Accept the base url of the system from the html form.

  Adds a form error if the given url is not specified.

  Parameters:
    `url` - The email

### getSmtpServer

    public String getSmtpServer()

  Supply the form with the base url so the form does not loose it

  Returns:
    The base url

### setSmtpServer

    public void setSmtpServer(String smtpServerUrl)

  Accept the SMTP server url of the system from the html form.

  Adds a form error if the given smtpServerUrl is not specified.

  Parameters:
    `smtpServerUrl` - The email server

### getEmailSubjectPrefix

    public String getEmailSubjectPrefix()

  What email subject prefix should Bamboo use?

  Returns:
    The prefix

### setEmailSubjectPrefix

    public void setEmailSubjectPrefix(String emailSubjectPrefix)

  Accept the email subject prefix from the html form.

  Parameters:
    `emailSubjectPrefix` -

### getFromEmailAddress

    public String getFromEmailAddress()

  Which email address should Bamboo use to send emails from.

  Returns:
    The email address

### setFromEmailAddress

    public void setFromEmailAddress(String fromEmailAddress)

  Accept the email originating address from the html form.

  Parameters:
    `fromEmailAddress` - The email address bamboo sends email from

### getFilePersister

    public FileBasedPersisterOptions getFilePersister()

  Provide the GUI with the file persister

  Returns:
    The file persister

### getRepositoryPollingPeriod

    public String getRepositoryPollingPeriod()

### setRepositoryPollingPeriod

    public void setRepositoryPollingPeriod(String repositoryPollingPeriod)

### getBuildDirectory

    public String getBuildDirectory()

### setBuildDirectory

    public void setBuildDirectory(String buildDirectory)

### setGzipCompression

    public void setGzipCompression(boolean enabled)

  The user has selected the GZip webpages (via a checkbox)

  Parameters:
    `enabled` - set to "on" by the webwork framework

### getGzipCompression

    public boolean getGzipCompression()

  Informs the UI if the Gzip option is enabled.

  Returns:
    true if the pages should be compressed, false if not.

### setAcceptRemoteApiCalls

    public void setAcceptRemoteApiCalls(boolean enabled)

  The user has enabled the remote API (via a checkbox)

  Parameters:
    `enabled` - set to "on" by the webwork framework

### getAcceptRemoteApiCalls

    public boolean getAcceptRemoteApiCalls()

  Informs the UI if the Remote API option is enabled.

  Returns:
    true if the API is enabled, false if not.

### doExecute

    public String doExecute()
                     throws Exception

  Update the system with the adimistration configuration.

  Overrides:
    `doExecute` in class `AbstractAction`
  Returns:
    WebWork status
  Throws:
    `Exception` - something nasty went wrong

### customPostProcess

    protected void customPostProcess(AdministrationConfiguration administrationConfiguration)

### setBuilderManager

    public void setBuilderManager(BuilderManager builderManager)

### getBuilderManager

    public BuilderManager getBuilderManager()

### getDefaultBaseUrl

    public String getDefaultBaseUrl()

  See if we can determine the default base url from the servlet request... otherwise use a preset default one

  Returns:
    The url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.